org.apache.tinkerpop.gremlin.structure

## Enum Transaction.CLOSE_BEHAVIOR

- java.lang.Object
- - java.lang.Enum<Transaction.CLOSE_BEHAVIOR>
  - - org.apache.tinkerpop.gremlin.structure.Transaction.CLOSE_BEHAVIOR

- All Implemented Interfaces:
    Serializable, Comparable<Transaction.CLOSE_BEHAVIOR>, Consumer<Transaction>
  Enclosing interface:
    Transaction

      public static enum Transaction.CLOSE_BEHAVIOR
      extends Enum<Transaction.CLOSE_BEHAVIOR>
      implements Consumer<Transaction>

  Behaviors to supply to the `Transaction.onClose(Consumer)`. The semantics of these behaviors must be examined in the context of the implementation. In most cases, these behaviors will be applied as {`ThreadLocal`}.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMIT` Commit the transaction when `Transaction.close()` is called.
    `MANUAL` Throw an exception if the current transaction is open when `Transaction.close()` is called.
    `ROLLBACK` Rollback the transaction when `Transaction.close()` is called.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Transaction.CLOSE_BEHAVIOR` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Transaction.CLOSE_BEHAVIOR[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `accept, andThen`

- - ### Enum Constant Detail

    - #### COMMIT

          public static final Transaction.CLOSE_BEHAVIOR COMMIT

      Commit the transaction when `Transaction.close()` is called.

    - #### ROLLBACK

          public static final Transaction.CLOSE_BEHAVIOR ROLLBACK

      Rollback the transaction when `Transaction.close()` is called.

    - #### MANUAL

          public static final Transaction.CLOSE_BEHAVIOR MANUAL

      Throw an exception if the current transaction is open when `Transaction.close()` is called.

  - ### Method Detail

    - #### values

          public static Transaction.CLOSE_BEHAVIOR[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transaction.CLOSE_BEHAVIOR c : Transaction.CLOSE_BEHAVIOR.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transaction.CLOSE_BEHAVIOR valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.